%define dict_name	mueller7
%define dict_file       Mueller7GPL

Name: stardict-%dict_name
Version: 1.0
Release: alt6

Summary: V.K. Mueller English-Russian Dictionary, 7 Edition: stardict format
License: GPL
Group: Text tools
Requires: stardict >= 2.4.2
BuildPreReq: stardict-tools
Url: http://www.chat.ru/~muller_dic/
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>
BuildArchitectures: noarch

Source: %dict_file.tgz
Source1: mueller2stardict

BuildRequires:  dict-tools esound fontconfig freetype2 glib2 gnome-vfs2 libGConf2 libIDL libORBit2 libart_lgpl libatk libaudiofile libbonobo2 libbonoboui libexpat libgnome libgnomecanvas libgnomeui libgtk+2 libjpeg libltdl libpango libssl libxml2 perl-Unicode-Map8 perl-Unicode-String stardict-tools

%description 
Electronic version of V.K. Mueller English-Russian Dictionary, 7 Edition
in stardict format. You can use it with stardict client.


%prep
%setup -q -c
install -p -m755 -D %SOURCE1 usr/local/share/dict/mueller2stardict

%build
cd usr/local/share/dict
cat Mueller7GPL.koi |./mueller2stardict>stardict.txt
LANGUAGE=ru_RU.UTF-8 LC_CTYPE=ru_RU.UTF-8 oxford2dic stardict.txt
size=`stat -c %%s oxford.idxdata`
cat << EOF > oxford.ifo
StarDict's dict ifo file
version=2.4.2
wordcount=46231
idxfilesize=$size
bookname=mueller
description=V.K.Mueller English-Russian Dictionary, 7 Edition
sametypesequence=m
EOF
cp oxford.idxdata oxford.idx
gzip oxford.idx
dictzip oxford.dict
cd ../../../..

%install
install -p -m644 -D usr/local/share/dict/oxford.dict.dz $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.dict.dz
install -p -m644 -D usr/local/share/dict/oxford.idx.gz $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.idx.gz
install -p -m644 -D usr/local/share/dict/oxford.ifo $RPM_BUILD_ROOT%_datadir/stardict/dic/%dict_name.ifo

%files 
%_datadir/stardict/dic/*

%changelog
* Tue Oct 07 2008 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.0-alt6
- resurrect from orphanded 

* Wed Nov 26 2003 Alex Murygin <murygin@altlinux.ru> 1.0-alt5
- new format

* Wed Oct 15 2003 Alex Murygin <murygin@altlinux.ru> 1.0-alt4
- commpress dictionaries

* Sat Sep 20 2003 Alex Murygin <murygin@altlinux.ru> 1.0-alt3
- fixed error (PreReq -> BuildPreReq)
- fixed buildrequires

* Wed May 21 2003 Alex Murygin <murygin@altlinux.ru> 1.0-alt2
- new stardict format
- fixed transcription
- used mueller2utf8 script from dict-mueller7-unicode

* Sun May 04 2003 Alex Murygin <murygin@altlinux.ru> 1.0-alt1
- initial revision

